<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<link rel="import" href="../../bower_components/polymer/lib/elements/dom-repeat.html">
<link rel="import" href="../../bower_components/iron-ajax/iron-ajax.html">
<link rel="import" href="/src/componentes/instrumento-musical.html">
<dom-module id="listado-instrumentos">
    <template>
        <style>
            :host {
                display: block;
            }
        </style>
        <iron-ajax id="ajax" url="http://localhost:3000/instrumentos" last-response="{{instrumentos}}"></iron-ajax>
        <template is="dom-repeat" items="[[instrumentos]]">
            <instrumento-musical nombre="[[item.nombre]]" descripcion="[[item.descripcion]]" clasificacion="[[item.clasificacion]]"></instrumento-musical>
        </template>
        <button on-click="obtener">Recuperar datos</button>  
    </template>
    <script>
        class ListadoInstrumentos extends Polymer.Element {
            static get is() {
                return 'listado-instrumentos';
            }
            static get properties() {
                return {
                    cargando: Boolean,
                    instrumentos: {
                        type: Array,
                        value: function () {
                            return [];
                        }
                    }
                };
            }
            obtener() {
                this.$.ajax.generateRequest();
            }
            
        }
        window.customElements.define(ListadoInstrumentos.is, ListadoInstrumentos);
    </script>
</dom-module>